# ApplicationFramework
TKBinL
BinMDataStd

# BinMDataStd_ShapeDriver Class Reference

Shape attribute Driver.
.

`#include <BinMDataStd_ShapeDriver.hxx>`

Inheritance diagram for BinMDataStd_ShapeDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinMDataStd_ShapeDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
virtual Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
virtual Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, BinObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
virtual Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, BinObjMgt_Persistent &Target, BinObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinMDataStd_ShapeDriver::BinMDataStd_ShapeDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const BinMDataStd_ShapeDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinMDF_ADriver.

virtual Standard_EXPORT Handle_TDF_Attribute BinMDataStd_ShapeDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements BinMDF_ADriver.

virtual Standard_EXPORT void BinMDataStd_ShapeDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | BinObjMgt_Persistent & | Target,
|  | BinObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

virtual Standard_EXPORT Standard_Boolean BinMDataStd_ShapeDriver::Paste | ( | const BinObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | BinObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinMDataStd_ShapeDriver.hxx